#include <Windows.h>
#include <string>
#include <sstream>

const char* __stdcall dynamic_dll_func1()
{
	return "DLL2 function called!";
}

unsigned long __stdcall dynamic_dll_func2(unsigned long x)
{
	return x + 1;
}

void __stdcall dynamic_dll_func3(const char* text, unsigned long y, char* buf)
{
	std::stringstream ss;
	ss << "From dynamic DLL call: " << text << "; " << y;
	memcpy(buf, ss.str().c_str(), ss.str().length() + 1);
}

BOOLEAN WINAPI DllMain( IN HINSTANCE hDllHandle, 
	IN DWORD     nReason, 
	IN LPVOID    Reserved )
{
	if(nReason == DLL_PROCESS_ATTACH)
		MessageBoxA(0, "Dynamic DLL Loaded!", "Nice", MB_ICONINFORMATION);

	return TRUE;
}
