#include <Windows.h>
#include <string>
#include <sstream>
#include "exports.h"

__declspec(thread) unsigned long a = 123;

const char* __stdcall static_dll_func1()
{
	return "DLL1 function called!";
}

unsigned long __stdcall static_dll_func2()
{
	return a;
}

void __stdcall static_dll_func3(const char* text, unsigned long y, char* buf)
{
	std::stringstream ss;
	ss << "From DLL call: " << text << "; " << y;
	memcpy(buf, ss.str().c_str(), ss.str().length() + 1);
}

BOOLEAN WINAPI DllMain( IN HINSTANCE hDllHandle, 
	IN DWORD     nReason, 
	IN LPVOID    Reserved )
{
	if(nReason == DLL_PROCESS_ATTACH)
		MessageBoxA(0, "Static DLL Loaded!", "Nice", MB_ICONINFORMATION);

	return TRUE;
}
